cc.Class({
    extends: cc.Component,

    properties:{},

    // use this for initialization
    onLoad: function ()
    {
        cc.find( 'Canvas/Button1' ).on( 'touchend', ()=> { this.Test1(); } );
        cc.find( 'Canvas/Button2' ).on( 'touchend', ()=> { this.Test2(); } );
    },

    Test1: function()
    {
        let richedit = cc.find( 'Canvas/Rich' ).getComponent( cc.RichText );
        richedit.string = '<outline color=#075868 width=3>測試帶邊框文字</outline>';
    },

    Test2: function()
    {
        let richedit = cc.find( 'Canvas/Rich' ).getComponent( cc.RichText );
        richedit.string = '<outline color=#FF5500 width=5 >測試帶邊框文字</outline>';
    },

});
